> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Rewards

> Get a blink for claiming rewards on a reserve



## OpenAPI

````yaml /openapi/kamino.json get /v0/lending/reserve/{market}/{reserve}/claim-rewards
openapi: 3.1.1
info:
  title: Kamino Blinks API
  version: 0.0.1
servers:
  - url: https://kamino.dial.to/api
security: []
paths:
  /v0/lending/reserve/{market}/{reserve}/claim-rewards:
    get:
      tags:
        - Borrow
      summary: Claim Rewards
      description: Get a blink for claiming rewards on a reserve
      operationId: kamino.v0.lending.getLendingReserveClaimRewardsBlink
      parameters:
        - name: market
          in: path
          required: true
          schema:
            type: string
            description: Market public key
            default: 7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF
        - name: reserve
          in: path
          required: true
          schema:
            type: string
            description: Reserve public key
            default: d4A2prbA2whesmvHaL88BH6Ewn5N4bTSU2Ze8P6Bc4Q
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              enum:
                                - transaction
                                - external-link
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````